(function() {
  var Slider;

  this.myApp = angular.module('lacompagnie', ['ngRoute', 'ngSanitize']);

  this.myApp.config([
    "$routeProvider", function($routeProvider) {
      $routeProvider.when('/connection', {
        templateUrl: 'connection.html'
      }).when('/migration', {
        templateUrl: 'migration.html'
      }).when('/new_password', {
        templateUrl: 'new_password.html'
      }).when('/new_account', {
        templateUrl: 'new_account.html'
      }).when('/home', {
        templateUrl: 'home.html'
      }).when('/booking', {
        templateUrl: 'booking.html'
      }).when('/account', {
        templateUrl: 'account.html'
      }).when('/points', {
        templateUrl: 'points.html'
      }).when('/contact', {
        templateUrl: 'contact.html'
      }).when('/contact_call', {
        templateUrl: 'contact_call.html'
      }).when('/outing', {
        templateUrl: 'outing.html'
      }).when('/outing_item/:id', {
        templateUrl: 'outing_item.html'
      }).when('/cgu', {
        templateUrl: 'cgu.html'
      }).otherwise({
        redirectTo: '/connection'
      });
    }
  ]);

  this.myApp.directive('bgBackgroundColor', function() {
    return function(scope, elem, attrs) {
      return setTimeout((function() {
        return scope.$apply(function() {
          return document.querySelector("body").style.backgroundColor = attrs.bgBackgroundColor;
        });
      }), 50);
    };
  });

  this.myApp.directive('bgLocation', function($location) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        document.querySelector("body").scrollTop = 0;
        return scope.$apply(function() {
          return $location.path(attrs.bgLocation);
        });
      });
    };
  });

  this.myApp.controller('Lacompagnie', (function() {
    function _Class() {
      this.homeTableHeight = (document.body.offsetHeight - 85) + "px";
      return;
    }

    return _Class;

  })());

  this.myApp.directive('bgDateDay', function() {
    return function(scope, elem, attrs) {
      var day;
      console.log(attrs.bgDateDay);
      day = parseInt(new Date(parseInt(attrs.bgDateDay) * 1000 + 46800000).getDate());
      if (day < 10) {
        day = "0" + day;
      }
      return elem[0].value = day;
    };
  });

  this.myApp.directive('bgDateMonth', function() {
    return function(scope, elem, attrs) {
      var month;
      month = parseInt(new Date(parseInt(attrs.bgDateMonth) * 1000 + 46800000).getMonth()) + 1;
      if (month < 10) {
        month = "0" + month;
      }
      return elem[0].value = month;
    };
  });

  this.myApp.directive('bgDateYear', function() {
    return function(scope, elem, attrs) {
      return elem[0].value = new Date(parseInt(attrs.bgDateYear) * 1000).getFullYear();
    };
  });

  this.myApp.directive('bgDateDayMonth', function() {
    return function(scope, elem, attrs) {
      var date;
      date = attrs.bgDateDayMonth.split(' - ')[0].substr(0, 5);
      return elem[0].innerHTML = date;
    };
  });

  this.myApp.service('DeviceSrvc', (function() {
    function _Class($location, $timeout) {
      this.$location = $location;
      this.$timeout = $timeout;
      this.data = {};
      this.data.deviceLanguage = {};
    }

    _Class.prototype.getLanguage = function() {};

    _Class.prototype.setTranslations = function(callback) {
      console.log("setTranslations");
      return this.$timeout(((function(_this) {
        return function() {
          console.log(window.navigator.globalization);
          return window.navigator.globalization.getPreferredLanguage(function(language) {
            console.log("init !!");
            console.log(language);
            if (language.value.substr(0, 2) === "fr") {
              _this.data.deviceLanguage['email'] = "email";
              _this.data.deviceLanguage['password'] = "mot de passe";
              _this.data.deviceLanguage['forgotPassword'] = "Mot de passe oublié ?";
              _this.data.deviceLanguage['login'] = "Se connecter";
              _this.data.deviceLanguage['createAccount'] = "Créer un compte";
            } else {
              _this.data.deviceLanguage['email'] = "email";
              _this.data.deviceLanguage['password'] = "password";
              _this.data.deviceLanguage['forgotPassword'] = "Forgot your password ?";
              _this.data.deviceLanguage['login'] = "Log in";
              _this.data.deviceLanguage['createAccount'] = "Create an account";
            }
            callback(_this.data);
          }, function() {
            console.log("Error getting language");
          });
        };
      })(this)), 250);
    };

    return _Class;

  })());

  this.myApp.service('GeolocationSrvc', (function() {
    function _Class($http) {
      this.$http = $http;
    }

    _Class.prototype.retrieve = function(language) {
      var alertError, onError, onSuccess, timeoutFunction;
      onSuccess = (function(_this) {
        return function(position) {
          var request;
          request = {
            method: "get",
            url: "http://ws.geonames.org/findNearbyPlaceName?lat=" + position.coords.latitude + "&lng=" + position.coords.longitude + "&type=json&username=testaccountblab"
          };
          return _this.$http(request).success(function(data) {
            return _this.data = data.geonames[0];
          }).error(function(data) {});
        };
      })(this);
      alertError = function() {
        return console.log("error while showing alert");
      };
      timeoutFunction = function() {
        return navigator.notification.alert('La géolocalisation a été désactivée.', alertError, 'Titre de test', 'Done');
      };
      onError = (function(_this) {
        return function(error) {
          return alert('qcode: ' + error.code + '\n' + 'qmessage: ' + error.message + '\n');
        };
      })(this);
    };

    return _Class;

  })());

  this.myApp.service('LanguageSrvc', (function() {
    function _Class($http, TokenSrvc) {
      this.TokenSrvc = TokenSrvc;
      this.$http = $http;
    }

    _Class.prototype.retrieve = function(language) {
      var request, request2, request3;
      this.languageCode = language.toLowerCase();
      console.log(this.languageCode);
      request = {
        method: "get",
        url: "https://www.lacompagnie.com/fr/dreamjet/services/translations?langcode=" + this.languageCode
      };
      this.$http(request).success((function(_this) {
        return function(data) {
          _this.data = data;
          if (_this.languageCode === "fr") {
            _this.data.header_label_contact_call = "Appelez-nous";
            _this.data.header_label_tips_item = "Bons plans";
            _this.data.tips_button_return = "Retour";
            _this.data.account_error_connection = "Pour modifier vos informations personnelles, vous devez être connecté.";
            _this.data.contact_call_customer_service_all_call_unavailability = "Vous n'êtes pas dans <br> l'un des cas ci-dessus >";
            _this.data.contact_call_customer_service_fr_contact_us = "Contacter le service client FR depuis la France";
            _this.data.contact_call_customer_service_uk_contact_us = "Contacter le service client UK depuis le Royaume-Uni";
            _this.data.contact_call_customer_service_us_contact_us = "Contacter le service client US depuis les Etats-Unis";
            _this.data.contact_call_customer_service_else_title = "Service Client";
            _this.data.contact_call_customer_service_else_contact_us = "Contacter le service client";
            _this.data.contact_call_customer_service_else_number = "+33426211907";
            _this.data.contact_call_customer_service_else_call_availability = "(0.34€/min) du Lundi au Samedi, de 9h à 19h.";
            return _this.data.data.contact_field_email = "contact@lacompagnie.com";
          } else {
            _this.data.header_label_contact_call = "Call us";
            _this.data.header_label_tips_item = "Tips";
            _this.data.tips_button_return = "Return";
            _this.data.account_error_connection = "To update your personal information, you must have internet connection.";
            _this.data.contact_call_customer_service_all_call_unavailability = "You aren't in one <br> of the above cases >";
            _this.data.contact_call_customer_service_fr_contact_us = "To contact the FR Service Center from France";
            _this.data.contact_call_customer_service_uk_contact_us = "To contact the UK Service Center from the United Kingdom";
            _this.data.contact_call_customer_service_us_contact_us = "To contact the US Service Center from the United States";
            _this.data.contact_call_customer_service_else_title = "Service Center";
            _this.data.contact_call_customer_service_else_contact_us = "To contact the Service Center";
            _this.data.contact_call_customer_service_else_number = "+33426211907";
            _this.data.contact_call_customer_service_else_call_availability = "From Monday to Saturday from 9 am to 7 pm.";
            return _this.data.data.contact_field_email = "contact@lacompagnie.com";
          }
        };
      })(this)).error(function(data) {});
      this.languageCountry = this.languageCode;
      if (this.languageCode === "en-gb") {
        this.languageCountry = "en";
      }
      request2 = {
        method: "get",
        url: "https://www.lacompagnie.com/fr/dreamjet/services/additional-variables?langcode=" + this.languageCountry + "&param1=countries"
      };
      this.$http(request2).success((function(_this) {
        return function(data) {
          return _this.countries = data.countries;
        };
      })(this)).error(function(data) {});
      request3 = {
        method: "get",
        url: "https://www.lacompagnie.com/fr/dreamjet/services/additional-variables?langcode=en&param2=states"
      };
      return this.$http(request3).success((function(_this) {
        return function(data) {
          return _this.states = data.states;
        };
      })(this)).error(function(data) {});
    };

    return _Class;

  })());

  this.myApp.directive('bgLocation', function($location) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        return scope.$apply(function() {
          return $location.path(attrs.bgLocation);
        });
      });
    };
  });

  this.myApp.service('TokenSrvc', (function() {
    function _Class() {
      this.data = {};
    }

    return _Class;

  })());

  this.myApp.service('ListWidgetSrvc', (function() {
    function _Class() {
      this.inputFocus = false;
      this.totalSize = 0;
    }

    _Class.prototype.display = function(selector) {
      var itemsTotal;
      itemsTotal = document.querySelectorAll("#" + selector + "-wrapper li").length;
      document.getElementById(selector + "-wrapper").style.height = "auto";
      document.getElementById(selector + "-wrapper").style.borderBottom = "solid 1px #94bee4";
      document.getElementById(selector + "-close").style.display = "block";
      return document.getElementById(selector + "-input").style.borderBottom = "dashed 1px #94bee4";
    };

    _Class.prototype.hide = function(selector) {
      document.getElementById(selector + "-wrapper").style.height = "0px";
      document.getElementById(selector + "-wrapper").style.borderBottom = "none";
      document.getElementById(selector + "-close").style.display = "none";
      return document.getElementById(selector + "-input").style.borderBottom = "solid 1px #94bee4";
    };

    return _Class;

  })());

  this.myApp.directive('listWidget', function(ListWidgetSrvc) {
    return function(scope, elem, attrs) {
      return elem.bind('focus', function(event) {
        ListWidgetSrvc.inputFocus = true;
        return ListWidgetSrvc.display(attrs.listWidget);
      });
    };
  });

  this.myApp.directive('listWidgetClose', function(ListWidgetSrvc) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        ListWidgetSrvc.inputFocus = false;
        return ListWidgetSrvc.hide(attrs.listWidgetClose);
      });
    };
  });

  this.myApp.filter('listWidgetFltr', function(ListWidgetSrvc) {
    return function(items, pattern, patternLength, selector) {
      var filteredItems, flag, key, value;
      filteredItems = {};
      flag = false;
      for (key in items) {
        value = items[key];
        if (pattern.length >= parseInt(patternLength) && value.toLowerCase().indexOf(pattern.toLowerCase()) > -1) {
          flag = true;
          filteredItems[key] = value;
        }
      }
      if (ListWidgetSrvc.inputFocus) {
        if (flag) {
          ListWidgetSrvc.display(selector);
        } else {
          ListWidgetSrvc.hide(selector);
        }
      }
      return filteredItems;
    };
  });

  this.myApp.service('AccountSrvc', (function() {
    function _Class($http, $location, TokenSrvc) {
      this.TokenSrvc = TokenSrvc;
      this.$http = $http;
      this.$location = $location;
      this.bla = "azeaze";
      this.error = {
        connectionStatus: true
      };
      this.mandatoryFields = {
        field_address: true,
        field_zip_code: true,
        field_address_city: true,
        field_state: true,
        mail: true,
        current_password: true
      };
      this.passwordFields = {
        match: true,
        format: true
      };
      this.emailFields = {
        format: true
      };
      this.dataSuccess = {
        update: false
      };
      return;
    }

    _Class.prototype.retrieve = function(callback) {
      var request;
      if (typeof this.TokenSrvc.data !== "undefined") {
        request = {
          method: "get",
          url: "https://www.lacompagnie.com/fr/dreamjet/services/dreamjet_crm_user",
          headers: {
            'Authorization': "Bearer " + this.TokenSrvc.data.access_token
          }
        };
        return this.$http(request).success((function(_this) {
          return function(data) {
            if (data.roles.hasOwnProperty('8') && data.roles['8'] === "fidelity") {
              _this.data = data;
              _this.data.new_password = "";
              _this.data.new_password_confirm = "";
              return callback(data.language);
            } else {
              return _this.$location.path('migration');
            }
          };
        })(this)).error(function(data) {});
      }
    };

    _Class.prototype.initCheck = function() {
      var key, ref, ref1, ref2, value;
      this.error.connectionStatus = true;
      ref = this.mandatoryFields;
      for (key in ref) {
        value = ref[key];
        this.mandatoryFields[key] = true;
      }
      ref1 = this.passwordFields;
      for (key in ref1) {
        value = ref1[key];
        this.passwordFields[key] = true;
      }
      ref2 = this.emailFields;
      for (key in ref2) {
        value = ref2[key];
        this.emailFields[key] = true;
      }
      return this.dataSuccess.update = false;
    };

    _Class.prototype.check = function() {
      var check, key, ref, testEmail, testPassword, value;
      this.initCheck();
      document.querySelector("body").scrollTop = 0;
      check = true;
      testEmail = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/;
      testPassword = /^[a-zA-Z0-9]{8,16}$/;
      ref = this.mandatoryFields;
      for (key in ref) {
        value = ref[key];
        if (!this.data[key] > 0) {
          check = false;
          this.mandatoryFields[key] = false;
        }
      }
      if ((this.data.new_password.length > 0 || this.data.new_password_confirm.length > 0) && this.data.new_password !== this.data.new_password_confirm) {
        check = false;
        this.passwordFields.match = false;
      }
      if (this.data.new_password.length > 0 && !testPassword.test(this.data.new_password)) {
        check = false;
        this.passwordFields.format = false;
      }
      if (this.data.new_password_confirm.length > 0 && !testPassword.test(this.data.new_password_confirm)) {
        check = false;
        this.passwordFields.format = false;
      }
      if (!testEmail.test(this.data.mail)) {
        check = false;
        this.emailFields.format = false;
      }
      if (check) {
        this.update();
      } else {
        this.emptyFields();
      }
    };

    _Class.prototype.emptyFields = function() {
      this.data.current_password = "";
      this.data.new_password = "";
      return this.data.new_password_confirm = "";
    };

    _Class.prototype.update = function() {
      var data, request;
      data = {};
      angular.copy(this.data, data);
      if (data.new_password.length === 0 && data.new_password_confirm.length === 0) {
        delete data.new_password;
        delete data.new_password_confirm;
      }
      request = {
        method: "put",
        url: "https://www.lacompagnie.com/fr/dreamjet/services/dreamjet_crm_user/update",
        headers: {
          'Authorization': "Bearer " + this.TokenSrvc.data.access_token,
          'Content-Type': "application/json"
        },
        data: JSON.stringify(data)
      };
      return this.$http(request).success((function(_this) {
        return function(data) {
          _this.dataSuccess.update = true;
          _this.emptyFields();
          return document.querySelector("body").scrollTop = 0;
        };
      })(this)).error((function(_this) {
        return function(data) {
          _this.emptyFields();
          document.querySelector("body").scrollTop = 0;
          console.log(data);
          return _this.error.connectionStatus = false;
        };
      })(this));
    };

    return _Class;

  })());

  this.myApp.controller('Account', (function() {
    function _Class(AccountSrvc, LanguageSrvc) {
      this.AccountSrvc = AccountSrvc;
      this.LanguageSrvc = LanguageSrvc;
      document.querySelector("body").scrollTop = 0;
      this.pageTitle = this.LanguageSrvc.data.header_label_personal_informations;
      this.AccountSrvc.initCheck();
      this.error = this.AccountSrvc.error;
      this.mandatoryFields = this.AccountSrvc.mandatoryFields;
      this.passwordFields = this.AccountSrvc.passwordFields;
      this.emailFields = this.AccountSrvc.emailFields;
      this.dataSuccess = this.AccountSrvc.dataSuccess;
      this.data = this.AccountSrvc.data;
      console.log(this.data);
      this.data.field_depart_city = this.data.field_depart_city.toLowerCase();
      this.data.field_state_label = this.LanguageSrvc.countries[this.data.field_state];
      this.data.field_states_label = this.LanguageSrvc.states[this.data.field_states];
      this.setCountry = function(key, country) {
        this.data.field_state_label = country;
        return this.data.field_state = key;
      };
      this.setStates = function(key, states) {
        this.data.field_states_label = states;
        return this.data.field_states = key;
      };
      this.update = function() {
        return this.AccountSrvc.check();
      };
      return;
    }

    return _Class;

  })());

  this.myApp.controller('Booking', (function() {
    function _Class($sce, LanguageSrvc) {
      this.LanguageSrvc = LanguageSrvc;
      document.querySelector("body").scrollTop = 0;
      this.pageTitle = this.LanguageSrvc.data.home_label_book_flight;
      this.iframeUrls = {
        "fr": "https://www.lacompagnie.com/fr/preparer-voyage/promotions-vols-paris-new-york",
        "en": "https://www.lacompagnie.com/en/plan-your-trip/deals-paris-london-flight",
        "en-gb": "https://www.lacompagnie.com/uk/plan-your-trip/special-offers"
      };
      if (this.LanguageSrvc.languageCode === "fr") {
        this.iframeUrl = $sce.trustAsResourceUrl("https://booking.lacompagnie.com/dj/dsuiteMobile?mid=1&LAN=FR&utm_source=applicationFR&utm_medium=mobile&utm_campaign=application-LaCompagnie");
      } else if (this.LanguageSrvc.languageCode === "en-gb") {
        this.iframeUrl = $sce.trustAsResourceUrl("https://booking.lacompagnie.com/dj/dsuiteMobile?mid=5&LAN=EN&utm_source=applicationUK&utm_medium=mobile&utm_campaign=application-LaCompagnie");
      } else if (this.LanguageSrvc.languageCode === "en") {
        this.iframeUrl = $sce.trustAsResourceUrl("https://booking.lacompagnie.com/dj/dsuiteMobile?mid=2&LAN=EN&utm_source=applicationUS&utm_medium=mobile&utm_campaign=application-LaCompagnie");
      }
    }

    return _Class;

  })());

  this.myApp.service('CguUrlSrvc', (function() {
    function _Class() {
      this.labels = {
        "fr": {
          "label1": "Conditions générales de vente",
          "label2": "Conditions générales de transport",
          "label3": "Conditions générales MyCompagnie"
        },
        "en": {
          "label1": "General terms and conditions of sale",
          "label2": "General conditions of carriage",
          "label3": "General conditions of MyCompagnie"
        },
        "en-gb": {
          "label1": "General terms and conditions of sale",
          "label2": "General conditions of carriage",
          "label3": "General conditions of MyCompagnie"
        }
      };
      this.urls = {
        "fr": {
          "url1": "https://www.lacompagnie.com/fr/conditions-generales-de-vente-et-d-utilisation-du-site-dreamjet",
          "url2": "https://www.lacompagnie.com/fr/conditions-generales-de-transport-de-passagers",
          "url3": "https://docs.google.com/viewer?url=https://www.lacompagnie.com/sites/all/themes/dreamjettheme/files/conditions-generales-my-compagnie-fr.pdf"
        },
        "en": {
          "url1": "https://www.lacompagnie.com/en/general-terms-and-conditions-sale-and-use-dreamjet-website",
          "url2": "https://www.lacompagnie.com/en/general-conditions-carriage-passengers",
          "url3": "https://docs.google.com/viewer?url=https://www.lacompagnie.com/sites/all/themes/dreamjettheme/files/conditions-generales-my-compagnie-en.pdf"
        },
        "en-gb": {
          "url1": "https://www.lacompagnie.com/en/general-terms-and-conditions-sale-and-use-dreamjet-website",
          "url2": "https://www.lacompagnie.com/en/general-conditions-carriage-passengers",
          "url3": "https://docs.google.com/viewer?url=https://www.lacompagnie.com/sites/all/themes/dreamjettheme/files/conditions-generales-my-compagnie-en-gb.pdf"
        }
      };
    }

    _Class.prototype.getCguLabels = function(language) {
      return this.labels[language];
    };

    _Class.prototype.getCguUrls = function(language) {
      return this.urls[language];
    };

    return _Class;

  })());

  this.myApp.controller('Cgu', (function() {
    function _Class(LanguageSrvc, CguUrlSrvc) {
      this.LanguageSrvc = LanguageSrvc;
      this.CguUrlSrvc = CguUrlSrvc;
      document.querySelector("body").scrollTop = 0;
      this.cguLabels = this.CguUrlSrvc.getCguLabels(this.LanguageSrvc.languageCode);
      this.cguUrls = this.CguUrlSrvc.getCguUrls(this.LanguageSrvc.languageCode);
      this.pageTitle = this.LanguageSrvc.data.header_label_cgu;
      this.contactListHeight = "0px";
    }

    return _Class;

  })());

  this.myApp.service('ConnectionSrvc', (function() {
    function _Class($http, $location, TokenSrvc, LanguageSrvc, AccountSrvc, PointsSrvc, OutingSrvc) {
      this.TokenSrvc = TokenSrvc;
      this.LanguageSrvc = LanguageSrvc;
      this.AccountSrvc = AccountSrvc;
      this.PointsSrvc = PointsSrvc;
      this.OutingSrvc = OutingSrvc;
      this.$http = $http;
      this.$location = $location;
    }

    _Class.prototype.create = function(username, password, callback) {
      var request;
      ({
        username: encodeURIComponent(username),
        password: encodeURIComponent(password)
      });
      request = {
        method: "post",
        url: "https://www.lacompagnie.com/fr/oauth2/token",
        headers: {
          'Content-Type': "application/x-www-form-urlencoded"
        },
        data: "client_id=dreamjet_mobile_application&client_secret=Pv0S088mB5&grant_type=password&scope=openid+email+profile&username=" + username + "&password=" + password
      };
      return this.$http(request).success((function(_this) {
        return function(data) {
          _this.TokenSrvc.data = data;
          return _this.AccountSrvc.retrieve(function(language) {
            _this.$location.path('home');
            _this.LanguageSrvc.retrieve(language);
            _this.PointsSrvc.retrieve();
            return _this.OutingSrvc.retrieve();
          });
        };
      })(this)).error(function(data) {
        return callback("Les éléments saisis ne sont par reconnus.");
      });
    };

    return _Class;

  })());

  this.myApp.service('DisconnectionSrvc', (function() {
    function _Class($http, $location, TokenSrvc) {
      this.TokenSrvc = TokenSrvc;
      this.$http = $http;
      this.$location = $location;
    }

    _Class.prototype["delete"] = function() {
      var request;
      if (this.TokenSrvc.data.hasOwnProperty('access_token')) {
        request = {
          method: "post",
          url: "https://www.lacompagnie.com/en/dreamjet/services/logout/action_logout",
          headers: {
            'Authorization': "Bearer " + this.TokenSrvc.data.access_token
          },
          data: {
            refresh_token: this.TokenSrvc.data.refresh_token
          }
        };
        this.$http(request).success((function(_this) {
          return function(data) {
            console.log("disconnection success");
            return _this.TokenSrvc.data = null;
          };
        })(this)).error(function(data) {
          this.TokenSrvc.data = null;
          return console.log("disconnection error");
        });
      }
      this.$location.path('connection');
    };

    return _Class;

  })());

  this.myApp.directive('bgDisconnection', function($location, DisconnectionSrvc) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        return scope.$apply(function() {
          return DisconnectionSrvc["delete"]();
        });
      });
    };
  });

  this.myApp.service('ConnectionTranlationSrvc', (function() {
    function _Class() {
      this.deviceLanguages = {
        "fr": {
          'email': "email",
          'password': "mot de passe",
          'forgotPassword': "Mot de passe oublié ?",
          'login': "Se connecter",
          'createAccount': "Créer un compte"
        },
        "en": {
          'email': "email",
          'password': "password",
          'forgotPassword': "Forgot your password ?",
          'login': "Log in",
          'createAccount': "Create an account"
        }
      };
    }

    return _Class;

  })());

  this.myApp.directive('connectionTranslation', function(ConnectionTranlationSrvc) {
    return function(scope, elem, attrs) {
      return setTimeout((function() {
        console.log(window.navigator.globalization);
        return window.navigator.globalization.getPreferredLanguage((function(_this) {
          return function(language) {
            scope.$apply(function() {
              console.log(language);
              console.log(elem);
              if (language.value.substr(0, 2) === "fr") {
                return elem[0][attrs.connectionTranslationProperty] = ConnectionTranlationSrvc.deviceLanguages.fr[attrs.connectionTranslation];
              } else {
                return elem[0][attrs.connectionTranslationProperty] = ConnectionTranlationSrvc.deviceLanguages.en[attrs.connectionTranslation];
              }
            });
          };
        })(this), (function(_this) {
          return function() {
            console.log("Error getting language");
          };
        })(this));
      }), 150);
    };
  });

  this.myApp.controller('Connection', (function() {
    function _Class($timeout, ConnectionSrvc, ConnectionTranlationSrvc, GeolocationSrvc) {
      this.ConnectionSrvc = ConnectionSrvc;
      this.ConnectionTranlationSrvc = ConnectionTranlationSrvc;
      this.GeolocationSrvc = GeolocationSrvc;
      this.GeolocationSrvc.retrieve();
      if (navigator.language.substr(0, 2) === "fr") {
        this.translations = {
          'message': "Les éléments saisis ne sont pas reconnus.",
          'email': "email",
          'password': "mot de passe",
          'forgotPassword': "Mot de passe oublié ?",
          'login': "Se connecter",
          'createAccount': "Créer un compte"
        };
      } else {
        this.translations = {
          'message': "We don't recognise the provided values.",
          'email': "email",
          'password': "password",
          'forgotPassword': "Forgot your password ?",
          'login': "Log in",
          'createAccount': "Create an account"
        };
      }
      this.message = "";
      this.borderColor = "white";
      document.querySelector("body").scrollTop = 0;
      document.querySelector("body").style.backgroundColor = "#8fbfed";
    }

    _Class.prototype.create = function() {
      return this.ConnectionSrvc.create(this.username, this.password, (function(_this) {
        return function(message) {
          _this.message = message;
          _this.username = "";
          _this.password = "";
          return _this.borderColor = "red";
        };
      })(this));
    };

    return _Class;

  })());

  this.myApp.directive('bgContactTo', function() {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        elem[0].style.backgroundColor = "#94bee4";
        elem[0].children[0].src = "images/" + attrs.bgContactTo + "-white.png";
        return setTimeout((function() {
          elem[0].style.backgroundColor = "#FFFFFF";
          return elem[0].children[0].src = "images/" + attrs.bgContactTo + ".png";
        }), 1000);
      });
    };
  });

  this.myApp.directive('bgContactCall', function($location) {
    return function(scope, elem, attrs) {
      elem.bind('click', function(event) {});
      return elem.bind('click', function(event) {
        elem[0].style.backgroundColor = "#94bee4";
        elem[0].children[0].src = "images/" + attrs.bgContactTo + "-white.png";
        return setTimeout((function() {
          return scope.$apply(function() {
            return $location.path(attrs.bgContactCall);
          });
        }), 1000);
      });
    };
  });

  this.myApp.directive('bgExpandBloc', function() {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        return document.querySelector('.contact-smartphone-list').style.height = "225px";
      });
    };
  });

  this.myApp.controller('Contact', (function() {
    function _Class(LanguageSrvc) {
      this.LanguageSrvc = LanguageSrvc;
      document.querySelector("body").scrollTop = 0;
      this.pageTitle = this.LanguageSrvc.data.header_label_contact;
      this.contactListHeight = "0px";
    }

    return _Class;

  })());

  this.myApp.controller('Migration', (function() {
    function _Class() {}

    return _Class;

  })());

  this.myApp.directive('bgHomeLocation', function($location) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        document.querySelector("body").scrollTop = 0;
        elem[0].style.backgroundColor = "#88c136";
        return setTimeout((function() {
          return scope.$apply(function() {
            return $location.path(attrs.bgHomeLocation);
          });
        }), 500);
      });
    };
  });

  this.myApp.controller('Home', (function() {
    function _Class(LanguageSrvc) {
      this.LanguageSrvc = LanguageSrvc;
      document.querySelector("body").scrollTop = 0;
      this.homeTableHeight = (document.body.offsetHeight - 85) + "px";
      if (this.LanguageSrvc.languageCode === "fr") {
        this.bookingUrl = "https://booking.lacompagnie.com/dj/dsuiteMobile?mid=1&LAN=FR&utm_source=applicationFR&utm_medium=mobile&utm_campaign=application-LaCompagnie";
      } else if (this.LanguageSrvc.languageCode === "en-gb") {
        this.bookingUrl = "https://booking.lacompagnie.com/dj/dsuiteMobile?mid=5&LAN=EN&utm_source=applicationUK&utm_medium=mobile&utm_campaign=application-LaCompagnie";
      } else if (this.LanguageSrvc.languageCode === "en") {
        this.bookingUrl = "https://booking.lacompagnie.com/dj/dsuiteMobile?mid=2&LAN=EN&utm_source=applicationUS&utm_medium=mobile&utm_campaign=application-LaCompagnie";
      }
      console.log(this.LanguageSrvc);
    }

    return _Class;

  })());

  this.myApp.controller('ContactCall', (function() {
    function _Class(LanguageSrvc, GeolocationSrvc) {
      this.LanguageSrvc = LanguageSrvc;
      this.GeolocationSrvc = GeolocationSrvc;
      document.querySelector("body").scrollTop = 0;
      this.pageTitle = this.LanguageSrvc.data.header_label_contact_call;
      this.contactListHeight = "0px";
    }

    return _Class;

  })());

  this.myApp.controller('NewAccount', (function() {
    function _Class($sce) {
      if (navigator.language.substr(0, 2) === "fr") {
        this.newAccountPage = $sce.trustAsResourceUrl("https://www.lacompagnie.com/fr/my-compagnie-programme-fidelite/inscription");
      } else {
        this.newAccountPage = $sce.trustAsResourceUrl("https://www.lacompagnie.com/en/my-compagnie-loyalty-program/register");
      }
    }

    return _Class;

  })());

  this.myApp.controller('NewPassword', (function() {
    function _Class($sce) {
      if (navigator.language.substr(0, 2) === "fr") {
        this.newPasswordPage = $sce.trustAsResourceUrl("https://www.lacompagnie.com/fr/my-compagnie-programme-fidelite/mot-de-passe");
      } else {
        this.newPasswordPage = $sce.trustAsResourceUrl("https://www.lacompagnie.com/en/my-compagnie-loyalty-program/password");
      }
    }

    return _Class;

  })());

  this.myApp.service('OutingPageSrvc', (function() {
    function _Class() {
      this.currentScrollTop = 0;
    }

    return _Class;

  })());

  this.myApp.service('OutingSrvc', (function() {
    function _Class($http, LanguageSrvc) {
      this.LanguageSrvc = LanguageSrvc;
      this.$http = $http;
      this.data = {};
      this.city = {};
    }

    _Class.prototype.retrieveAjax = function(languageCode, defaultCity) {
      this.outingDefaultLanguage = languageCode;
      this.city.current = defaultCity;
      return this.$http.jsonp('http://www.whateverorigin.org/get?url=http://www.lacompagnie.com/' + languageCode + '/export-tips.json&callback=JSON_CALLBACK').success((function(_this) {
        return function(data) {
          return _this.data = JSON.parse(data.contents);
        };
      })(this)).error(function(data) {
        return console.log('ERROR');
      });
    };

    _Class.prototype.retrieve = function() {
      switch (this.LanguageSrvc.languageCode) {
        case "en-gb":
          return this.retrieveAjax("uk", "New-York");
        case "en":
          return this.retrieveAjax("en", "London");
        case "fr":
          return this.retrieveAjax("fr", "New-York");
      }
    };

    return _Class;

  })());

  this.myApp.directive('bgOutingScrollTop', function($location, OutingPageSrvc) {
    return function(scope, elem, attrs) {
      return setTimeout((function() {
        return scope.$apply(function() {
          $location.path(attrs.bgHomeLocation);
          return document.querySelector("body").scrollTop = OutingPageSrvc.currentScrollTop;
        });
      }), 50);
    };
  });

  this.myApp.directive('bgOutingItemLocation', function($location, OutingPageSrvc) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        OutingPageSrvc.currentScrollTop = document.querySelector("body").scrollTop;
        return scope.$apply(function() {
          return $location.path(attrs.bgOutingItemLocation);
        });
      });
    };
  });

  this.myApp.controller('Outing', (function() {
    function _Class(LanguageSrvc, OutingSrvc) {
      this.LanguageSrvc = LanguageSrvc;
      this.OutingSrvc = OutingSrvc;
      this.pageTitle = this.LanguageSrvc.data.header_label_outing;
      this.outingDefaultLanguage = this.OutingSrvc.outingDefaultLanguage;
      this.city = this.OutingSrvc.city;
      this.data = this.OutingSrvc.data;
      return;
    }

    _Class.prototype.changeOutingLanguage = function(outingCity) {
      this.city.current = outingCity;
      document.querySelector("body").scrollTop = 0;
    };

    return _Class;

  })());

  this.myApp.directive('bgOutingListLocation', function($location) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        return scope.$apply(function() {
          return $location.path(attrs.bgOutingListLocation);
        });
      });
    };
  });

  this.myApp.controller('OutingItem', (function() {
    function _Class($routeParams, LanguageSrvc, OutingSrvc) {
      this.LanguageSrvc = LanguageSrvc;
      this.OutingSrvc = OutingSrvc;
      this.$routeParams = $routeParams;
      document.querySelector("body").scrollTop = 0;
      this.pageTitle = this.LanguageSrvc.data.header_label_tips_item;
      this.data = this.OutingSrvc.data.nodes[parseInt(this.$routeParams.id)].node;
    }

    return _Class;

  })());

  this.myApp.service('StringSrvc', (function() {
    function _Class() {}

    _Class.prototype.strSplit = function(string, separator, id) {
      if (string.length > 0) {
        return string.split(separator)[id];
      } else {
        return "";
      }
    };

    return _Class;

  })());

  this.myApp.directive('dateValue', function(StringSrvc) {
    return function(scope, elem, attrs) {
      return elem[0].innerText = StringSrvc.strSplit(attrs.dateValue, " ", 1);
    };
  });

  this.myApp.directive('airportCity', function(StringSrvc) {
    return function(scope, elem, attrs) {
      return elem[0].innerText = StringSrvc.strSplit(attrs.airportCity, " - ", 0);
    };
  });

  this.myApp.directive('airportLabel', function(StringSrvc) {
    return function(scope, elem, attrs) {
      return elem[0].innerText = StringSrvc.strSplit(attrs.airportLabel, " - ", 1);
    };
  });

  this.myApp.service('PointsSrvc', (function() {
    function _Class($http, $location, TokenSrvc) {
      this.TokenSrvc = TokenSrvc;
      this.$http = $http;
      this.$location = $location;
      this.data = {
        debits: null,
        credits: null
      };
      return;
    }

    _Class.prototype.retrieve = function() {
      var request;
      if (typeof this.TokenSrvc.data !== "undefined") {
        request = {
          method: "get",
          url: "https://www.lacompagnie.com/fr/dreamjet/services/transactions",
          headers: {
            'Authorization': "Bearer " + this.TokenSrvc.data.access_token
          }
        };
        return this.$http(request).success((function(_this) {
          return function(data) {
            return _this.data = data;
          };
        })(this)).error(function(data) {});
      }
    };

    return _Class;

  })());

  this.myApp.controller('Points', (function() {
    function _Class(PointsSrvc, LanguageSrvc) {
      this.PointsSrvc = PointsSrvc;
      this.LanguageSrvc = LanguageSrvc;
      document.querySelector("body").scrollTop = 0;
      this.statusPoints = this.PointsSrvc.data.status_points;
      this.debitsPoints = this.PointsSrvc.data.debits;
      this.creditsPoints = this.PointsSrvc.data.credits;
      this.sliderItemWidth = document.body.offsetWidth - 80;
      this.sliderDebitsTotalWidth = this.sliderItemWidth * this.debitsPoints.length;
      this.sliderCreditsTotalWidth = this.sliderItemWidth * this.creditsPoints.length;
      this.statusPointsUntilStep1 = 20 - this.statusPoints.current_points;
      this.getFlightTotalFlightByPoints = function() {
        if (this.statusPoints.current_points < 40) {
          this.totalFlight = Math.floor(this.statusPoints.current_points / 20);
        }
        if (this.statusPoints.current_points >= 40) {
          return this.totalFlight = Math.floor(this.statusPoints.current_points / 40);
        }
      };
      this.getFlightTotalFlightByPoints();
    }

    return _Class;

  })());

  Slider = (function() {
    function Slider(selector1, totalItem1) {
      this.selector = selector1;
      this.totalItem = totalItem1;
      this.currentItem = 1;
      document.querySelector("." + this.selector + " .slider-button-left").style.opacity = 0.5;
      if (this.totalItem === 1) {
        document.querySelector("." + this.selector + " .slider-button-right").style.opacity = 0.5;
      } else {
        document.querySelector("." + this.selector + " .slider-button-right").style.opacity = 1;
      }
    }

    Slider.prototype.checkButton = function() {
      if (this.currentItem > 1) {
        document.querySelector("." + this.selector + " .slider-button-left").style.opacity = 1;
      } else {
        document.querySelector("." + this.selector + " .slider-button-left").style.opacity = 0.5;
      }
      if (this.currentItem < this.totalItem) {
        return document.querySelector("." + this.selector + " .slider-button-right").style.opacity = 1;
      } else {
        return document.querySelector("." + this.selector + " .slider-button-right").style.opacity = 0.5;
      }
    };

    Slider.prototype.previousItem = function() {
      if (this.currentItem > 1) {
        this.currentItem--;
        this.checkButton();
        return this.changeItem();
      }
    };

    Slider.prototype.nextItem = function() {
      if (this.currentItem < this.totalItem) {
        this.currentItem++;
        this.checkButton();
        return this.changeItem();
      }
    };

    Slider.prototype.changeItem = function() {
      return document.querySelector("." + this.selector + " .slider-list").style.left = (-(this.currentItem - 1) * 100) + "%";
    };

    return Slider;

  })();

  this.myApp.service('SliderSrvc', (function() {
    function _Class() {
      this.sliders = {};
    }

    _Class.prototype.addSlider = function(selector, totalItem) {
      return this.sliders[selector] = new Slider(selector, totalItem);
    };

    return _Class;

  })());

  this.myApp.directive('sliderContainer', function(SliderSrvc) {
    return function(scope, elem, attrs) {
      return SliderSrvc.addSlider(attrs.sliderSelector, parseInt(attrs.sliderTotalItem));
    };
  });

  this.myApp.directive('sliderLeftPosition', function() {
    return function(scope, elem, attrs) {
      return elem[0].style.left = attrs.sliderLeftPosition * 100 + "%";
    };
  });

  this.myApp.directive('sliderLeftButton', function(SliderSrvc) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        return SliderSrvc.sliders[attrs.sliderSelector].previousItem();
      });
    };
  });

  this.myApp.directive('sliderRightButton', function(SliderSrvc) {
    return function(scope, elem, attrs) {
      return elem.bind('click', function(event) {
        return SliderSrvc.sliders[attrs.sliderSelector].nextItem();
      });
    };
  });

}).call(this);
